ThermoHandler
Date: 2014-08-08

melting.handlers

## Class ThermoHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - melting.handlers.NodeHandler
    - - melting.handlers.ThermoHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

      public class ThermoHandler
      extends NodeHandler

  This class represents a Handler to parse the subnodes to the data nodes in the xml files. It extends the NodeHandler class

- - ### Field Summary

    - ### Fields inherited from class melting.handlers.NodeHandler

      `subHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThermoHandler(java.lang.String nodeName)` creates a ThermoHandler object and initialises the instance variables of this object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)`
    `void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String name)`
    `java.util.HashMap<java.lang.String,java.lang.String>` | `getAttribut()` This method is called to get the attribut HashMap of the ThermoHandler object.
    `java.lang.Double` | `getEnthalpy()` This method is called to get the enthalpy double value of the ThermoHandler object.
    `java.lang.Double` | `getEntropy()` This method is called to get the entropy double value of the ThermoHandler object.
    `java.lang.String` | `getName()` This method is called to get the name String of the ThermoHandler object.
    `Thermodynamics` | `getThermo()` This method is called to get the Thermodynamics of the ThermoHandler object.
    `void` | `initialiseAttributes()` initialises the attribut HashMap of the ThermoHandler object.
    `void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String name, org.xml.sax.Attributes attributes)`

    - ### Methods inherited from class melting.handlers.NodeHandler

      `completedNode, hasCompletedNode`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThermoHandler

          public ThermoHandler(java.lang.String nodeName)

      creates a ThermoHandler object and initialises the instance variables of this object.
      Parameters:
        `nodeName` - : node name

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      This method is called to get the name String of the ThermoHandler object.
      Returns:
        the name String of the ThermoHandler object.

    - #### getEnthalpy

          public java.lang.Double getEnthalpy()

      This method is called to get the enthalpy double value of the ThermoHandler object.
      Returns:
        the enthalpy double value of the ThermoHandler object.

    - #### getEntropy

          public java.lang.Double getEntropy()

      This method is called to get the entropy double value of the ThermoHandler object.
      Returns:
        the entropy double value of the ThermoHandler object.

    - #### getThermo

          public Thermodynamics getThermo()

      This method is called to get the Thermodynamics of the ThermoHandler object.
      Returns:
        the Thermodynamics of the ThermoHandler object.

    - #### getAttribut

          public java.util.HashMap<java.lang.String,java.lang.String> getAttribut()

      This method is called to get the attribut HashMap of the ThermoHandler object.
      Returns:
        the attribut HashMap of the ThermoHandler object.

    - #### initialiseAttributes

          public void initialiseAttributes()

      initialises the attribut HashMap of the ThermoHandler object.

    - #### startElement

          public void startElement(java.lang.String uri,
                          java.lang.String localName,
                          java.lang.String name,
                          org.xml.sax.Attributes attributes)
                            throws org.xml.sax.SAXException

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### characters

          public void characters(char[] ch,
                        int start,
                        int length)
                          throws org.xml.sax.SAXException

      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `characters` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endElement

          public void endElement(java.lang.String uri,
                        java.lang.String localName,
                        java.lang.String name)
                          throws org.xml.sax.SAXException

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`